* [gentoo-commits] dev/dev-zero:master commit in: net-libs/zmqpp/
@ 2013-01-22 9:20 Tiziano Müller
0 siblings, 0 replies; 2+ messages in thread
From: Tiziano Müller @ 2013-01-22 9:20 UTC (permalink / raw
To: gentoo-commits
commit: fa29550f7c2e1c6ad06260f437252fbf2cc887df
Author: Tiziano Müller <tm <AT> dev-zero <DOT> ch>
AuthorDate: Tue Jan 22 09:20:20 2013 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Tue Jan 22 09:20:20 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=dev/dev-zero.git;a=commit;h=fa29550f
Initial commit of zmqpp ebuild.
---
net-libs/zmqpp/Manifest | 1 +
net-libs/zmqpp/zmqpp-9999.ebuild | 47 ++++++++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+), 0 deletions(-)
diff --git a/net-libs/zmqpp/Manifest b/net-libs/zmqpp/Manifest
new file mode 100644
index 0000000..ec6598b
--- /dev/null
+++ b/net-libs/zmqpp/Manifest
@@ -0,0 +1 @@
+EBUILD zmqpp-9999.ebuild 896 SHA256 25432165854135258bb67e5962763d9e29ef4ca5d3a31d79f9645e9cfe301e1e SHA512 d8a9799375ebfc1865da6ac25982bcb10cd90fa602f0fd14801cc8e4ccb595ef14c0d0cb117e9278c3c20139f2dafb7084752a9c7aef403fd697be6ac1003572 WHIRLPOOL 18e703cfd404af239d84aaa8518d9ca253f9745642017e4d2e9fb752fb4d4073f9887c5f977fe0b2358f954631c1358a2c283fc960df35e6473059e8d4cc35fc
diff --git a/net-libs/zmqpp/zmqpp-9999.ebuild b/net-libs/zmqpp/zmqpp-9999.ebuild
new file mode 100644
index 0000000..72bf7c8
--- /dev/null
+++ b/net-libs/zmqpp/zmqpp-9999.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit git-2 multilib
+
+DESCRIPTION="High-level C++ bindings for ZeroMQ"
+HOMEPAGE="https://github.com/benjamg/zmqpp"
+EGIT_REPO_URI="https://github.com/benjamg/zmqpp.git"
+EGIT_BRANCH="develop"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="client test"
+
+RDEPEND="net-libs/zeromq
+ client? ( dev-libs/boost )"
+DEPEND="${RDEPEND}
+ test? ( dev-libs/boost )"
+
+src_configure() {
+ sed -i \
+ -e '/^CONFIG/d' \
+ -e '/^CPPFLAGS/d' \
+ -e '/^CXXFLAGS/d' \
+ -e '/^LDFLAGS/d' \
+ -e '/^CXX/d' \
+ -e 's|^PREFIX = .*|PREFIX = /usr|' \
+ -e "s|/lib|/$(get_libdir)|" \
+ Makefile || die "sed failed"
+}
+
+src_compile() {
+ emake main
+ use client && emake client
+}
+
+src_install() {
+ # work around primitive build system
+ dodir /usr/include/zmqpp
+ dodir /usr/$(get_libdir)
+
+ default
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] dev/dev-zero:master commit in: net-libs/zmqpp/
@ 2013-01-24 10:54 Tiziano Müller
0 siblings, 0 replies; 2+ messages in thread
From: Tiziano Müller @ 2013-01-24 10:54 UTC (permalink / raw
To: gentoo-commits
commit: 6292c5fd0a22a7541e68ca4d0b239086e02c74ad
Author: Tiziano Müller <tm <AT> dev-zero <DOT> ch>
AuthorDate: Thu Jan 24 10:54:25 2013 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Thu Jan 24 10:54:25 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=dev/dev-zero.git;a=commit;h=6292c5fd
Fix installation.
---
net-libs/zmqpp/Manifest | 2 +-
net-libs/zmqpp/zmqpp-9999.ebuild | 23 +++++++++++++++--------
2 files changed, 16 insertions(+), 9 deletions(-)
diff --git a/net-libs/zmqpp/Manifest b/net-libs/zmqpp/Manifest
index ec6598b..e797ba2 100644
--- a/net-libs/zmqpp/Manifest
+++ b/net-libs/zmqpp/Manifest
@@ -1 +1 @@
-EBUILD zmqpp-9999.ebuild 896 SHA256 25432165854135258bb67e5962763d9e29ef4ca5d3a31d79f9645e9cfe301e1e SHA512 d8a9799375ebfc1865da6ac25982bcb10cd90fa602f0fd14801cc8e4ccb595ef14c0d0cb117e9278c3c20139f2dafb7084752a9c7aef403fd697be6ac1003572 WHIRLPOOL 18e703cfd404af239d84aaa8518d9ca253f9745642017e4d2e9fb752fb4d4073f9887c5f977fe0b2358f954631c1358a2c283fc960df35e6473059e8d4cc35fc
+EBUILD zmqpp-9999.ebuild 1201 SHA256 72badb50d1e3f317988ea14b12fde2efe9b54c9e1f5d327db45c9e93fd550147 SHA512 be81c86badf9a37688d0e6eef7812ba3d10aec178d65eb2c9dcbbee216adfba2498f9868c7255971666e7fe2b78a83917577ba1c86a8aa7e4a9b97bf3c690dd0 WHIRLPOOL 26c20cc06ef0c6ba1e6c278279af9f6eae629cb801582b606a34b80810c7312ac4c9939caa834d06d65232feb1ebd447f0e2a956fb177a43894820b03db68bbf
diff --git a/net-libs/zmqpp/zmqpp-9999.ebuild b/net-libs/zmqpp/zmqpp-9999.ebuild
index 72bf7c8..057982b 100644
--- a/net-libs/zmqpp/zmqpp-9999.ebuild
+++ b/net-libs/zmqpp/zmqpp-9999.ebuild
@@ -4,7 +4,7 @@
EAPI=5
-inherit git-2 multilib
+inherit git-2
DESCRIPTION="High-level C++ bindings for ZeroMQ"
HOMEPAGE="https://github.com/benjamg/zmqpp"
@@ -14,34 +14,41 @@ EGIT_BRANCH="develop"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
-IUSE="client test"
+IUSE="client doc static-libs test"
RDEPEND="net-libs/zeromq
client? ( dev-libs/boost )"
DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
test? ( dev-libs/boost )"
+LIB_VERSION="2.2.0"
+
src_configure() {
sed -i \
- -e '/^CONFIG/d' \
-e '/^CPPFLAGS/d' \
-e '/^CXXFLAGS/d' \
-e '/^LDFLAGS/d' \
-e '/^CXX/d' \
+ -e 's|^CONFIG.*|CONFIG = gentoo|' \
-e 's|^PREFIX = .*|PREFIX = /usr|' \
- -e "s|/lib|/$(get_libdir)|" \
Makefile || die "sed failed"
}
src_compile() {
emake main
use client && emake client
+ if use doc ; then
+ doxygen zmqpp.doxygen.conf || die "building documentation failed"
+ fi
}
src_install() {
# work around primitive build system
- dodir /usr/include/zmqpp
- dodir /usr/$(get_libdir)
-
- default
+ insinto /usr/include/zmqpp
+ doins src/zmqpp/*.hpp
+ newlib.so build/gentoo-*/*.so.* libzmqpp.so.${LIB_VERSION}
+ use static-libs && dolib.a build/gentoo-*/*.a
+ use client && dobin build/gentoo-*/zmqpp
+ use doc && dohtml -r docs/html/*
}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2013-01-24 10:54 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-01-22 9:20 [gentoo-commits] dev/dev-zero:master commit in: net-libs/zmqpp/ Tiziano Müller
-- strict thread matches above, loose matches on Subject: below --
2013-01-24 10:54 Tiziano Müller
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox